H402 hacking have been deprecated

Bug #1654117 reported by xhzhf on 2017-01-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kuryr-kubernetes
Undecided
Tin Lam
kuryr-libnetwork
Undecided
Unassigned
os-vif
Undecided
rajiv
python-cueclient
Undecided
rajiv
sqlalchemy-migrate
Undecided
rajiv
vmware-nsx
Undecided
rajiv

Bug Description

H402 hacking have been removed since hacking 0.10.
https://github.com/openstack-dev/hacking/blob/master/setup.cfg

test-requirements of kuryr-kubernetes require hacking <0.12,>=0.10.2.
So remove H402 ignore statement

xhzhf (guoyongxhzhf) on 2017-01-05
tags: added: hacking pep8
Tin Lam (lamt) on 2017-01-08
Changed in kuryr-kubernetes:
assignee: nobody → Tin Lam (tl3438)

Change abandoned by Tin Lam (<email address hidden>) on branch: master
Review: https://review.openstack.org/417652
Reason: Abandon - since it is a duplicate.

rajiv (rajiv-kumar) on 2017-01-09
Changed in vmware-nsx:
assignee: nobody → rajiv (rajiv-kumar)
Changed in sqlalchemy-migrate:
assignee: nobody → rajiv (rajiv-kumar)
Changed in os-vif:
assignee: nobody → rajiv (rajiv-kumar)
rajiv (rajiv-kumar) on 2017-01-09
Changed in python-cueclient:
assignee: nobody → rajiv (rajiv-kumar)

Fix proposed to branch: master
Review: https://review.openstack.org/417733

Changed in os-vif:
status: New → In Progress
Changed in python-cueclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/417735

Changed in vmware-nsx:
status: New → In Progress

Reviewed: https://review.openstack.org/416807
Committed: https://git.openstack.org/cgit/openstack/kuryr-kubernetes/commit/?id=57fc62659c09a99a0c79c2fa6e334155be9b1284
Submitter: Jenkins
Branch: master

commit 57fc62659c09a99a0c79c2fa6e334155be9b1284
Author: xhzhf <guoyongxhzhf@163.com>
Date: Wed Jan 4 17:58:40 2017 +0800

    H402 hacking have been deprecated

    H402 hacking have been removed since hacking 0.10.
    https://github.com/openstack-dev/hacking/blob/master/setup.cfg
    test-requirements of kuryr-kubernetes require hacking <0.12,>=0.10.2.
    So remove H402 ignore statement
    Closes-Bug: #1654117

    Change-Id: I9c0ccc99c3f1b9a9f0514f21c3ee02875e306bb4

Changed in kuryr-kubernetes:
status: New → Fix Released

Reviewed: https://review.openstack.org/416812
Committed: https://git.openstack.org/cgit/openstack/kuryr-libnetwork/commit/?id=99ac3b09a8e5d29b128f452c0a46393d5aeabf83
Submitter: Jenkins
Branch: master

commit 99ac3b09a8e5d29b128f452c0a46393d5aeabf83
Author: xhzhf <guoyongxhzhf@163.com>
Date: Wed Jan 4 18:11:47 2017 +0800

    H402 hacking have been deprecated

    H402 hacking have been removed since hacking 0.10.
    https://github.com/openstack-dev/hacking/blob/master/setup.cfg
    test-requirements of kuryr-libnetwork require hacking <0.11,>=0.10.0.
    So remove H402 ignore statement
    Closes-Bug: #1654117

    Change-Id: I72c8321c62692d86c8a4b1b3b705440d97d124ef

Changed in kuryr-libnetwork:
status: New → Fix Released

Change abandoned by rajiv (<email address hidden>) on branch: master
Review: https://review.openstack.org/417733
Reason: abandoned because it is duplicate.

Change abandoned by rajiv (<email address hidden>) on branch: master
Review: https://review.openstack.org/417735
Reason: Abandoned, not applicable as hacking version is lower than 0.10

Reviewed: https://review.openstack.org/417726
Committed: https://git.openstack.org/cgit/openstack/vmware-nsx/commit/?id=ade538424d3514697c8f920dad080959c697aaec
Submitter: Jenkins
Branch: master

commit ade538424d3514697c8f920dad080959c697aaec
Author: Rajiv Kumar <email address hidden>
Date: Mon Jan 9 08:30:55 2017 +0530

    H402 hacking have been deprecated

    H402 hacking have been removed since hacking 0.10.
    https://github.com/openstack-dev/hacking/blob/master/setup.cfg.
    So removed H402 ignore statement

    Closes-Bug: #1654117
    Change-Id: I31b160cc4267b9f3f77a6a75d671b695e509ee3f

Changed in vmware-nsx:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers